Needs compatibility update and a small fix Rated 4 out of 5 stars

I find this add-on very useful; however, it needs an update to be compatible with Firefox 5.0* and beyond.
It also needs a small fix to remove an extra menu drop-down (called "Menu") from the menu bar on the Mac version of Firefox, but this is minor and doesn't impact the usage of the plugin.

Please fix when possible!